Imports System
Imports System.IO
Imports System.Text
Imports System.Collections


Module Module1
    Sub Main()
        'Convert DOC file to DOCX file
        'If you need more information about UseOffice .Net email us at:
        'support[at]sautinsoft.com		


        Dim u As New SautinSoft.UseOffice

        'Path to any local file
        Dim inputFilePath As String = Path.GetFullPath(Path.Combine(Directory.GetCurrentDirectory(), "..\..\..\..\..\Testing files\DOC.doc"))
        'Path to output resulted file
        Dim outputFilePath As String = Path.GetFullPath(Path.Combine(Directory.GetCurrentDirectory(), "..\..\..\..\..\Testing files\Result.docx"))

        'Prepare UseOffice .Net, loads MS Word in memory
        Dim ret As Integer = u.InitWord()

        'Return values:
        '0 - Loading successfully
        '1 - Can't load MS Word library in memory 

        If ret = 1 Then
            Return
        End If

        'Converting
        ret = u.ConvertFile(inputFilePath, outputFilePath, SautinSoft.UseOffice.eDirection.DOC_to_DOCX)

        'Release MS Word from memory
        u.CloseWord()

        '0 - Converting successfully
        '1 - Can't open input file. Check that you are using full local path to input file, URL and relative path are not supported
        '2 - Can't create output file. Please check that you have permissions to write by this path or probably this path already used by another application
        '3 - Converting failed, please contact with our Support Team
        '4 - MS Office isn't installed. The component requires that any of these versions of MS Office should be installed: 2000, XP, 2003, 2007 or 2010
        If ret = 0 Then
            'Show produced file
            System.Diagnostics.Process.Start(outputFilePath)
        End If
    End Sub
End Module
